<?php

	class admin_config extends AdminPanel {
		var $panelname = 'config';
	}
 	
	class admin_config_default extends AdminPanelActionValidated {
		
		var $validators = array(
			// not needed anymore !
			// array('blog_root', 'blog_root', 'notEmpty', false, false, 'trim'),
			array('www', 'www', 'notEmpty', false, false, 'trim'),
			// ...
			array('title', 'title', 'notEmpty', false, false, 'trim'),
			//array('subtitle', 'subtitle', 'notEmpty', false, false, 'trim'),
			//array('blogfooter', 'blogfooter', 'notEmpty', false, false, 'trim'),
			array('email', 'email', 'isEmail', false, false, 'trim'),
			array('maxentries', 'maxentries', 'isInt', false, false, 'trim')
		);
		
	
		function setup() {
			$this->smarty->assign('themes', theme_list());
			$this->smarty->assign('lang_list', lang_list());
		}
		
		
		function onsave() {
		
			global $blog_config;
			$l = explode(',',$_POST['lang']);
			$newconf = array(
			//'BLOG_ROOT'	=> $_POST['blog_root'],
			'WWW'	=> $_POST['www'],
			'TITLE' => html_entity_decode(stripslashes($_POST['title'])),
			'SUBTITLE' => html_entity_decode(stripslashes($_POST['subtitle'])),
			'FOOTER' => html_entity_decode(stripslashes($_POST['blogfooter'])),
			'AUTHOR' => $_POST['author'],
			'EMAIL' => $_POST['email'],
			'MAXENTRIES' => $_POST['maxentries'],
			'VOTING' => $_POST['voting'],
			'NOTIFY' => isset($_POST['notify']),
			'LANG'	=> $l[0],
			'CHARSET'=> $l[1],
			'THEME'	=> $_POST['theme'],
			'BLOGID' => $blog_config['BLOGID'],
			);
			
			

			
			$success = config_save($newconf)? 1: -1;
			
			$this->smarty->assign('success', $success);
			
			return $success;
			
		}
		
		function onerror() {
			$this->main();
			return 0;	
		}
		
		function cleartplcache() {
				// if theme was switched, clear tpl cache
			
				$tpl =& new tpl_deleter();
				
				$tpl->getList();
				
				
		}

	}
	
?>