{validate id="www" message=$panelstrings.error.www append="error"}

{validate id="title" message=$panelstrings.error.title append="error"}
{*validate id="subtitle" message=$panelstrings.error.subtitle append="error"*}
{*validate id="blogfooter" message=$panelstrings.error.footer append="error"*}
{validate id="email" message=$panelstrings.error.email append="error"}
{validate id="maxentries" message=$panelstrings.error.maxentries append="error"}

<h4>{$panelstrings.head}</h4>
<p>{$panelstrings.descr}</p>

{include file='shared:errorlist.tpl'}

<form method="post"
	action="{$smarty.const.BLOG_BASEURL}admin.php?{$smarty.server.QUERY_STRING|escape:"html"}"
	enctype="multipart/form-data">
{*	
<fieldset><legend>{$panelstrings.sysfset}</legend>

	<p>{$panelstrings.syswarning}</p>
	<p><label for="blog_root">{$panelstrings.blog_root}</label><br />
	<input type="text" name="blog_root" id="blog_root" class="maxsize" value="{$flatpress.BLOG_ROOT|escape:"html"}" /></p>
	

</fieldset>
*}
<fieldset><legend>{$panelstrings.custfset}</legend>
	<p><label for="title"><strong>{$panelstrings.blogtitle}</strong></label><br />
	<input type="text" name="title" id="title" class="maxsize{$error.title|notempty:' field-error'}" 
	value="{$flatpress.TITLE|escape:"html"}" /></p>
	
	<p><label for="subtitle"><strong>{$panelstrings.blogsubtitle}</strong></label><br />
	<input type="text" name="subtitle" id="subtitle" class="maxsize"  value="{$flatpress.SUBTITLE|escape:"html"}" /></p>
	
	<p><label for="blogfooter"><strong>{$panelstrings.blogfooter}</strong></label><br />
	<input type="text" name="blogfooter" id="blogfooter" class="maxsize" value="{$flatpress.FOOTER|escape:"html"}" /></p>
	
	<p><label for="author"><strong>{$panelstrings.blogauthor}</strong></label><br />
	<input type="text" name="author" id="author" class="maxsize" value="{$flatpress.AUTHOR}" /></p>
	
	
	<p><label for="www">{$panelstrings.www}</label><br />
	<input type="text" name="www" id="www" class="maxsize{$error.www|notempty:' field-error'}" 
			value="{$flatpress.WWW|escape:"html"}" /></p>
	
	
	<p><label for="email"><strong>{$panelstrings.blogemail}</strong></label><br />
	<input type="text" name="email" id="email" class="maxsize{$error.email|notempty:' field-error'}" 
	value="{$flatpress.EMAIL}" /></p>
	
	<p><label for="notify"><input type="checkbox" name="notify" id="notify"{if $flatpress.NOTIFY}checked="checked"{/if} />
	<strong>{$panelstrings.mailnotify}</strong></label></p>
	
	<p><label for="maxentries"><strong>{$panelstrings.blogmaxentries}</strong></label><br />
	<input type="text" name="maxentries" id="maxentries" 
	class="maxsize{$error.maxentries|notempty:' field-error'}" value="{$flatpress.MAXENTRIES}" /></p>
	<input type="hidden" name="voting" id="voting" class="maxsize" value="{$flatpress.VOTING}" />
	<p><label for="theme"><strong>{$panelstrings.themechoice}</strong></label><br />
	<select name="theme" id="theme" class="maxsize">
	{foreach from=$themes item=theme}
	<option{if $theme == $flatpress.THEME} selected="selected"{/if}>{$theme}</option>
	{/foreach}
	</select></p>
	
	<p><label for="lang"><strong>{$panelstrings.langchoice}</strong></label><br />
	<select name="lang" id="lang" class="maxsize">
	{foreach from=$lang_list item=langsetts}
		{foreach from=$langsetts.charsets item=this_charset}
		<option value="{$langsetts.locale},{$this_charset}" {if $langsetts.locale == $flatpress.LANG && $flatpress.CHARSET == $this_charset}
		selected="selected" {/if}>{$langsetts.id} - {$this_charset}</option>
		{/foreach}
	{/foreach}
	</select>
	</p>
</fieldset>

<div class="buttonbar">
{html_submit name="save" id="save" value=$panelstrings.submit}
</div>

</form>

