<?php
/*
Plugin Name: LastEntries
Plugin URI: http://www.nowhereland.it/
Type: Block
Description: LastEntries plugin. Part of the standard distribution ;)
Author: NoWhereMan
Version: 1.0
Author URI: http://www.nowhereland.it/
*/ 

function plugin_lastentries_widget() {
	
	global $fpdb;
	
	// load plugin strings
	// they're located under plugin.PLUGINNAME/lang/LANGID/
	$lang = lang_load('plugin:lastentries');
	
	$num = 10;
	####################
	$queryId = $fpdb->query("fullparse:false,start:0,count:$num");
	$fpdb->doquery($queryId);
	
	$string = '<ul>';
	
	
	$count = 0;
	
	while ($fpdb->hasmore($queryId)) {
		
		list($id, $entry) = $fpdb->getEntry($queryId);
			
			$string .='<li>';
		
			if (user_loggedin()) // if loggedin prints a "edit" link
				$string .= "<a href=\"admin.php?p=entry&amp;entry=$id\">[".$lang['plugin']['lastentries']['edit']."]</a>";
			$string .= "<a href=\"index.php?entry=$id\">{$entry['subject']}</a></li>\n";
	
		$count++;
	}
	
	if ($string == '<ul>'){
		$string .= '<li><a href="admin.php?p=entry&amp;action=write">'.$lang['plugin']['lastentries']['add_entry'].'</a></li>';
		$subject = $lang['plugin']['lastentries']['no_entries'];
	} else $subject = $lang['plugin']['lastentries']['subject_before_count'] . $count .  $lang['plugin']['lastentries']['subject_after_count'];	
	
	$string .= '</ul>';

	$entry['SUBJECT'] = $subject;
	$entry['CONTENT'] = $string;
	
	return $entry;
}

?>
