<?php
/*
Plugin Name: ReadMore
Plugin URI: http://www.nowhereland.it/
Description: ReadMore plugin. Chops a lengthy entry and appends a "read more" link :)
Author: NoWhereMan
Version: 0.703
Author URI: http://www.nowhereland.it/
*/ 


	// $MODE specifies when you want to chop your entry
	
	// 'auto' will chop your entry at the value
	// specified in $CHOP_AT
	
	// 'manual' will chop your entry only when a [more] tag is found in
	// the content
	
	// 'semiauto' will chop your entry at the [more] tag. If no such a tag
	// is found, the entry is chopped at the value specified in $CHOP_AT
	
	// WARNING! 'auto' and 'semiauto' modes need improvements! unclosed tags 
	// at the chop point will probably result in validation errors!
	// If you're willing to improve it (using a quick but efficient algorithm
	// feel free and then let us know :) )
	
	// we recommend using $MODE = 'manual' (SPB legacy behaviour :) )
	
	

function plugin_readmore_main($string) {
	
	
	$MODE = 'manual'; 
			
	$CHOP_AT = 300; // characters
	
	if (!isset($_GET['entry']) && !isset($_GET['page'])) {
		global $fpdb;
		if (isset($fpdb->_query[0]))
			$id = $fpdb->_query[0]['curId'];
		else 
			$id ='';
		
		if ($MODE == 'auto' || $MODE == 'semiauto' ) {
			if (strlen($string) > $CHOP_AT) {
				
				return substr($string, 0, $CHOP_AT).
				"&hellip; <span class=\"readmore\"><a href=\"".
					BLOG_BASEURL.
					"index.php?entry={$id}#readmore-{$id}\">[Read More...]</a></span>";
			}
		} 
		
		if ($MODE == 'manual' || $MODE == 'semiauto' ) {
			if (($p = strpos($string, '[more]'))!==false){
				return substr($string, 0, $p).
				"<span class=\"readmore\"><a href=\""
					.BLOG_BASEURL.
						"index.php?entry={$id}#readmore-{$id}\">[Read More...]</a></span>";
			}
		}
		
	}
	
	if (isset($_GET['entry'])) {
		$string = str_replace('[more]', "<a id=\"readmore-{$_GET['entry']}\"></a>", $string);
	}
	
	return $string;
}

add_filter('the_content', 'plugin_readmore_main', 1);


?>