<?php

	require_once 'defaults.php';
	require_once (INCLUDES_DIR.'includes.php');
	require SMARTY_DIR . 'SmartyValidate.class.php';
	
	
	class LayoutContact extends Abstract_LayoutDialog {
	
	
				
		function form_validate() {

			
			$arr['version'] = system_ver();
			$arr['name'] = $_POST['name'];
			
			if (!empty($_POST['email']))
				($arr['email'] = $_POST['email']);
			if (!empty($_POST['url']))
				($arr['url'] = $_POST['url']);
			$arr['content'] = $_POST['content'];
			
			$arr['ip-address'] = utils_ipget();
			
			if (apply_filters('comment_validate', true, $arr))
				return $arr;
			else return false;
					
			
		}
	
		
		function contactform() {
			
			$smarty =& $this->smarty;
			$lang =& $this->lang;
			
			if(empty($_POST)) {
			// new form, we (re)set the session data
				SmartyValidate::connect($smarty, true);
			// register our validators
				SmartyValidate::register_validator('name', 'name', 'notEmpty', false, false, 'trim');
				SmartyValidate::register_validator('email', 'email', 'isEmail', true, false, 'trim');
				SmartyValidate::register_validator('www', 'url', 'isURL', true, false, 'trim');
				SmartyValidate::register_validator('content', 'content', 'notEmpty', false, false);
			} else {    
				// validate after a POST
				SmartyValidate::connect($smarty);
	
				if (!empty($_POST['url']) && strpos($_POST['url'], 'http://')===false) $_POST['url'] = 'http://'.$_POST['url'];
				
				
				// custom hook here!!
				// we'll use comment actions, anyway
				if(SmartyValidate::is_valid($_POST) && $arr=$this->form_validate()) {
					//SmartyValidate::disconnect();
					
					$msg = "Name: \n{$arr['name']} \n\n";
					
					if (isset($arr['email']))
						$msg .= "Email: {$arr['email']}\n\n";
					if (isset($arr['url']))
						$msg .= "WWW: {$arr['url']}\n\n";
					$msg .= "Content:\n{$arr['content']}\n";
					
						utils_mail(
							(
							isset($arr['email'])? 
								$arr['email'] 
								: 
								$this->config['EMAIL']
							), 
							"Contact sent through {$this->config['TITLE']} ", $msg );
							
					
					$smarty->assign('notifications',array($lang['contact']['success']));
				} else {
					$smarty->assign('values', $_POST);
				}
			}
		}

		
		function main() {
			
			lang_load('contact');
			
			$this->page($this->lang['contact']['head'], 'shared:contact.tpl');
			$this->contactform();
			
			
			
		}
		
	
	}

	$FLATPRESS =& new LayoutContact;
	$FLATPRESS->display();

	
?>