<?php

	class user_lister extends fs_filelister {
		
		var $_varname = 'cache';
		var $_cachefile = null;
		var $_directory = USERS_DIR;
		
		function bdb_entrylister() {
			$this->_cachefile = CACHE_DIR . 'userlist.php';
			parent::cache_filelister();
		}
		
		function _checkFile($directory, $file) {
			if (fnmatch('*.php', $file)) {
				array_push($this->_list, basename($file,EXT));
				return 0;
			}
		}
		
	}

	
	function user_list(){
		$obj =& new user_lister;
		if ($users = $obj->getList()) {
			return $entry_arr;
		} else	return false;
		
		
		
	}

	function user_pwd($userid, $pwd){
		return md5($userid.$pwd);
	}


	function user_login($userid, $pwd, $params=null){
		
		$user = user_get($userid);
		$retval = 0;
		
		if (user_pwd($userid,$pwd) == $user['PWD']){
			
			sess_close();
		
			sess_setup(60*60*24*7);
			
			$retval = 1;
			
			session_regenerate_id();
			
			sess_add('userid', $userid);
			sess_add('userhash', $user['PWD']);
			sess_add('loggedin', true);
			sess_add('ip', $_SERVER['REMOTE_ADDR']);
			sess_add('host', $_SERVER['SERVER_ADDR']);
			sess_add('path', ABS_PATH);
			
			$user = user_get($userid);
			$user['LOGINTIME']=time();
			system_save(USERS_DIR . $user['NAME'] . ".php", compact('user'));
			
			
		} 
		
		return $retval;
	}

	function user_logout(){
		if ( user_loggedin() ) {
			$user = user_get(sess_get('userid'));
			unset($user['LOGINTIME']);
			system_save(USERS_DIR . $user['NAME'] . ".php", compact('user'));
			sess_close();
		}
	}

	function user_loggedin(){
	
		static $loggedin = false;
		// paranoyd, isn't it? :D
				
		if (!$loggedin && sess_get('loggedin')) {
			$user = user_get(sess_get('userid'));
			// removed: sess_get('ip') == $_SERVER['REMOTE_ADDR'] &&
			// quite stupid, as people usually will disconnect sooner or later :D
				if (sess_get('host') == $_SERVER['SERVER_ADDR'] &&
						sess_get('path') == ABS_PATH ) {
							@sess_setup(60*60*24*7);
							// may bug sometimes: 
							// session_regenerate_id();
							$loggedin = true;
					
				}
		} 
		
		return $loggedin;
	}

	/*
	if (isset($_SERVER['HTTP_REFERER']) && 
						$_SERVER['HTTP_REFERER']!="") {
					
	
	if (strpos($_SERVER['HTTP_REFERER'],$_SERVER['HTTP_HOST'])!==false){
						
	
	*/

	function user_get($userid=null){
		if ($userid == null && user_loggedin()) {
			$userid = sess_get('userid');
		} 
		if (file_exists($f = USERS_DIR . $userid.".php")) {
			include($f);
			
			return $user;
		}
	}
	
	function user_nonce() {
		user_get();
	}
	
	
	function user_add($user){
		
		$user['PWD']=user_pwd($user['NAME'], $user['PWD']);
		return system_save(USERS_DIR . $user['NAME'] . ".php", compact('user'));
		
	}


?>
