<?php

/*
Plugin Name: BlockParser
Plugin URI: http://www.nowhereland.it/
Type: Block
Description: BlockParser plugin. Part of the standard distribution ;) This allow you to use simple non-plugin custom blocks :) 
Author: NoWhereMan real_nowhereman at user dot sf dot net
Version: 1.0
Author URI: http://www.nowhereland.it/
*/ 

	//define('BLOCKS_DIR', CONTENT_DIR . 'blocks/');
	
	// as a default blocks_dir == static_dir
	// so you can edit blocks using the static editor!!
	define('BLOCKS_DIR', STATIC_DIR);


function plugin_blockparser_parse($blockid) {
	
	if ($f_contents = io_load_file(BLOCKS_DIR . $blockid . EXT)) {
		$contents = utils_kexplode($f_contents);
		return array_change_key_case($contents, CASE_LOWER);
	}
	// else:
	return false;
}

function plugin_blockparser_widget($blockid) {
	
	if ($contents = plugin_blockparser_parse($blockid)) {
		$contents['subject'] = apply_filters('the_title', $contents['subject']);
		$contents['content'] = apply_filters('the_content', $contents['content']);
		$contents['id'] = "widget-bp-$blockid";
		return $contents;
	}
	
	return array(	'subject' => 'BlockParser::Error',
			'content' => "<ul><li>Error parsing block $blockid; file may not exist</li></ul>" );
}

?>
